/**
 * prefs.js - Javascript code used to display the prefs display.
 *
 * $Horde: dimp/js/src/prefs.js,v 1.1.2.1 2008/01/02 11:30:15 jan Exp $
 *
 * Copyright 2007-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

$('appswitch').app.onchange = function() {
    DimpCore.showOptions(Form.serialize('appswitch', true));
};

$$('.prefsOverview dt a, div.header ul a').each(function(link) {
    link.onclick = function() {
        DimpCore.showOptions(link.href.toQueryParams());
        return false;
    };
});

if ($('prefs')) {
    $('prefs').onsubmit = function() {
        DimpCore.showOptions(Form.serialize('prefs', true));
        return false;
    };
}

if ($('prefs_return')) {
    $('prefs_return').onclick = function() {
        DimpCore.showOptions({ app: document.prefs.app.value });
    };
}
