<?php
/**
 * $Horde: dimp/templates/chunks/fullmessage.php,v 1.63.2.2 2008/01/08 16:45:26 jan Exp $
 *
 * Copyright 2005-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */
?>
<div id="pageContainer">
 <div id="msgData">
  <div class="msglistplacer">
   <div class="header">
    <div class="headercloseimg"><?php echo Horde::img('close.png', 'X', array('onclick' => 'window.close()'), $registry->getImageDir('horde')) ?></div>
    <div><?php echo _("Message:") . ' ' . $subject ?></div>
   </div>

   <div class="dimpActions">
    <span id="button_reply_cont"><?php echo DIMP::actionButton('#', _("_Reply"), '', 'reply.png', 'DimpFullmessage.quickreply(\'reply\');return false;', 'reply_link', 'hasmenu') ?></span>
    <span id="button_forward_cont"><?php echo DIMP::actionButton('#', _("_Forward"), '', 'forward.png', 'DimpFullmessage.quickreply(\'' . $prefs->getValue('forward_default') . '\');return false;', 'forward_link', 'hasmenu') ?></span>
<?php if (!empty($conf['spam']['reporting']) && (!$conf['spam']['spamfolder'] || ($folder == IMP::folderPref($prefs->getValue('spam_folder'), true)))): ?>
    <span><?php echo DIMP::actionButton('#', _("Report Spam"), '', 'spam.png', 'baseWindow.DimpCore.flag(\'spam\', ' . $index . ', \'' . $folder . '\');window.close();return false;') ?></span>
<?php endif; ?>
<?php if (!empty($conf['notspam']['reporting']) && (!$conf['notspam']['spamfolder'] || ($folder == IMP::folderPref($prefs->getValue('spam_folder'), true)))): ?>
    <span><?php echo DIMP::actionButton('#', _("Report Innocent"), '', 'ham.png', 'baseWindow.DimpCore.flag(\'ham\', ' . $index . ', \'' . $folder . '\');window.close();return false;') ?></span>
<?php endif; ?>
    <span class="lastnavbar"><?php echo DIMP::actionButton('#', _("_Delete"), '', 'delete.png', 'baseWindow.DimpCore.flag(\'deleted\', ' . $index . ', \'' . $folder . '\');window.close();return false;') ?></span>
   </div>
  </div>

  <div class="msgfullread">
   <?php echo $msg_text; ?>
  </div>
 </div>

 <div id="qreply" style="display:none;">
  <div class="header">
   <div class="headercloseimg"><?php echo Horde::img('close.png', 'X', array('onclick' => 'DimpCompose.confirmCancel()'), $registry->getImageDir('horde')) ?></div>
   <div><?php echo _("Message:") . ' ' . $subject ?></div>
  </div>
  <?php echo $compose_text; ?>
 </div>
</div>

<div class="context" id="ctx_replypopdown">
 <div><?php echo DIMP::actionButton('#', _("To Sender"), '', 'reply.png', 'DimpFullmessage.quickreply(\'reply\');') ?></div>
 <div><?php echo DIMP::actionButton('#', _("To All"), '', 'reply.png', 'DimpFullmessage.quickreply(\'reply_all\');') ?></div>
</div>

<div class="context" id="ctx_fwdpopdown">
 <div><?php echo DIMP::actionButton('#', _("Entire Message"), '', 'forward.png', 'DimpFullmessage.quickreply(\'forwardall\');') ?></div>
 <div><?php echo DIMP::actionButton('#', _("Body Text Only"), '', 'forward.png', 'DimpFullmessage.quickreply(\'forwardbody\');') ?></div>
 <div><?php echo DIMP::actionButton('#', _("Attachments Only"), '', 'forward.png', 'DimpFullmessage.quickreply(\'forwardattachments\');') ?></div>
</div>

<div id="popdown_img" style="display:none;">
 <?php echo Horde::img('popdown.png', 'v', array('class' => 'popdown'), $registry->getImageDir('dimp')) ?>
</div>
