/**
 * mailbox.js - Template used to format the rows in the message list display.
 *
 * See the documentation of prototypejs - Template for the template format:
 *   http://www.prototypejs.org/api/template
 *
 * $Horde: dimp/templates/javascript/mailbox.js,v 1.2.2.1 2008/01/02 11:30:18 jan Exp $
 *
 * Copyright 2005-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

var message_list_template =
/* ID must be "'msg' + uid" */
'<div id="msg#{uid}" title="#{tooltip}" mbox="#{mbox}" class="#{bg}">' +
' <div class="msgStatus">' +
'  <div class="msState">&nbsp;</div>' +
'  <div class="msCompose">&nbsp;</div>' +
'  <div class="msPri">&nbsp;</div>' +
' </div>' +
' <div class="msgFrom">#{from}</div>' +
' <div class="msgSubject">#{subject}</div>' +
' <div class="msgDate">#{date}</div>' +
' <div class="msgSize">#{size}</div>' +
' <div class="clear">&nbsp;</div>' +
'</div>';
